/*
 * (c) Copyright 2002 - 2003 -- Anders Torger
 *
 * This program is open source. For license terms, see the LICENSE file.
 *
 */
#ifndef _AMBISONICS_H_
#define _AMBISONICS_H_

#include "almusvcu.h"
#include "bfir.h"

int
ambisonics_uhj2bformat_filter_length(int rate,
                                     int *delay);

int
ambisonics_generate_uhj2bformat_filter(int input_index, /* W X Y Z ... */
                                       struct bfirfilter *target);

int
ambisonics_calculate_gains(int n_inputs,                           
                           int n_speakers,
                           const double azimuth[],
                           const double elevation[],
                           double gains[]);

#endif
